Bug 1301951 - [scale] - getstorage_domain_by_type_storagepoolid_and_status hit the engine start up
[scale] - getstorage_domain_by_type_storagepoolid_and_status hit the engine ...
Status: CLOSED INSUFFICIENT_DATA
Product: ovirt-engine
Classification: oVirt
Component: Backend.Core (Show other bugs)
3.6.2
x86_64 Linux
unspecified Severity low (vote)
: ovirt-4.2.0
: 4.2.0
Assigned To: Martin Perina
eberman
: Performance
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-26 07:39 EST by Eldad Marciano
Modified: 2017-10-26 04:45 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-10-26 04:45:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.2+
rule-engine: planning_ack+
rule-engine: devel_ack+
eberman: testing_ack+


Attachments (Terms of Use)

  None (edit)
Description Eldad Marciano 2016-01-26 07:39:30 EST
Description of problem:
this has been called many time, while the engine rising.
the query hit the performance since his avg time to execute is ~20 sec.

required steps
- query optimization. 
- reduce the # of calls (caching or something similar).


Version-Release number of selected component (if applicable):
rhevm 3.6.2.0-1

How reproducible:
100%

Steps to Reproduce:
1. start the engine

Actual results:
long execution time, lots # of calls

Expected results:
fewer # of calls, optimized query with fast response time.

Additional info:
Comment 2 Red Hat Bugzilla Rules Engine 2016-02-29 07:29:21 EST
Bug tickets must have version flags set prior to targeting them to a release. Please ask maintainer to set the correct version flags and only then set the target milestone.
Comment 3 Sandro Bonazzola 2016-05-02 06:05:36 EDT
Moving from 4.0 alpha to 4.0 beta since 4.0 alpha has been already released and bug is not ON_QA.
Comment 4 Yaniv Lavi 2016-05-23 09:20:08 EDT
oVirt 4.0 beta has been released, moving to RC milestone.
Comment 5 Yaniv Lavi 2016-05-23 09:23:41 EDT
oVirt 4.0 beta has been released, moving to RC milestone.
Comment 7 Yaniv Kaul 2017-09-04 10:07:28 EDT
Please re-test in 4.2 with PG 9.5
Comment 8 eberman 2017-10-25 08:31:19 EDT
(In reply to Yaniv Kaul from comment #7)
> Please re-test in 4.2 with PG 9.5

what exactly are we looking for ?
whats "lots # of calls"
what query should i compare and what is efficient improvement ?
Comment 9 Yaniv Kaul 2017-10-25 09:05:36 EDT
(In reply to eberman from comment #8)
> (In reply to Yaniv Kaul from comment #7)
> > Please re-test in 4.2 with PG 9.5
> 
> what exactly are we looking for ?
> whats "lots # of calls"
> what query should i compare and what is efficient improvement ?

I don't know - you guys opened the bug... We want to get base numbers in 4.2 (compared to the initial report in comment 1 )

Note You need to log in before you can comment on or make changes to this bug.